Update member role (Admin+)
PATCH
/tenants/me/members/{user_id}
Updates a member’s role. Only admins and owners can change roles. You cannot set a role higher than your own, cannot change the owner’s role, and cannot change the role of a member with equal or higher role (unless you are the owner).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” user_id
required
string format: uuid
User ID (UUID) of the member to update
Request Body required
Section titled “Request Body required ”New role assignment
Request to update a member’s role.
object
role
required
New role for the member.
string
Example
{ "role": "admin"}Responses
Section titled “ Responses ”Member role updated
Response for a member in a tenant.
object
created_at
required
string format: date-time
email
required
string
role
required
string
user_id
required
string format: uuid
Example
{ "created_at": "2025-01-15T10:30:00Z", "role": "admin", "user_id": "550e8400-e29b-41d4-a716-446655440000"}Invalid role
Unauthorized
Forbidden — insufficient role or protected member
Member not found
Server error